nxt.http

## Class PaperWalletServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - nxt.http.PaperWalletServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public final class PaperWalletServlet
      extends javax.servlet.http.HttpServlet

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaperWalletServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` Return a the paper wallet Html page representation previously generated by the client.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaperWalletServlet

          public PaperWalletServlet()

  - ### Method Detail

    - #### doGet

          protected void doGet(javax.servlet.http.HttpServletRequest req,
                               javax.servlet.http.HttpServletResponse resp)
                        throws java.io.IOException

      Return a the paper wallet Html page representation previously generated by the client. This servlet is invoked internally from the JavaScriptBridge class. To prevent external requests from stealing the paper wallet, the caller must send as parameter the hash of the paper wallet it wants to receive. This ensures that you can only download the wallet page if you already have it, i.e. if you generated it.
      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`
      Parameters:
        `req` - the request
        `resp` - the response
      Throws:
        `java.io.IOException` - the exception